### Enumeration

# Fwupd BiosSettingKind

#### Declaration

    enum Fwupd.BiosSettingKind

#### Description [src]

The type of BIOS setting.

#### Members

Name | Description
--- | ---
`FWUPD_BIOS_SETTING_KIND_UNKNOWN` | BIOS setting type is unknown.
`FWUPD_BIOS_SETTING_KIND_ENUMERATION` | BIOS setting that has enumerated possible values.
`FWUPD_BIOS_SETTING_KIND_INTEGER` | BIOS setting that is an integer.
`FWUPD_BIOS_SETTING_KIND_STRING` | BIOS setting that accepts a string.